/*
 * API documentation
 * No description provided (generated by Swagger Codegen https://github.com/swagger-api/swagger-codegen)
 *
 * OpenAPI spec version: 1.0.0-20181108155220-20181108155343
 * Contact: api.move@axa-assistance.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */


package io.insurance.bn.starter.model;

import com.google.gson.annotations.SerializedName;
import io.swagger.annotations.ApiModelProperty;

import java.util.Objects;

/**
 * TravelQuotesResponse
 */
@javax.annotation.Generated(value = "io.swagger.codegen.languages.JavaClientCodegen", date = "2018-12-19T23:23:06.995+01:00")
public class TravelQuotesResponse {
  @SerializedName("context")
  private Model189 context = null;

  @SerializedName("quote_expire_at")
  private String quoteExpireAt = null;

  @SerializedName("products")
  private Model206 products = null;

  @SerializedName("addons")
  private Model207 addons = null;

  @SerializedName("payment_modes")
  private Model210 paymentModes = null;

  public TravelQuotesResponse context(Model189 context) {
    this.context = context;
    return this;
  }

   /**
   * Get context
   * @return context
  **/
  @ApiModelProperty(required = true, value = "")
  public Model189 getContext() {
    return context;
  }

  public void setContext(Model189 context) {
    this.context = context;
  }

  public TravelQuotesResponse quoteExpireAt(String quoteExpireAt) {
    this.quoteExpireAt = quoteExpireAt;
    return this;
  }

   /**
   * Date and time of quotes expiration. UTC datetime, RFC3339 format (YYYY-MM-DDTHH:mm:ssZ).
   * @return quoteExpireAt
  **/
  @ApiModelProperty(value = "Date and time of quotes expiration. UTC datetime, RFC3339 format (YYYY-MM-DDTHH:mm:ssZ).")
  public String getQuoteExpireAt() {
    return quoteExpireAt;
  }

  public void setQuoteExpireAt(String quoteExpireAt) {
    this.quoteExpireAt = quoteExpireAt;
  }

  public TravelQuotesResponse products(Model206 products) {
    this.products = products;
    return this;
  }

   /**
   * Get products
   * @return products
  **/
  @ApiModelProperty(required = true, value = "")
  public Model206 getProducts() {
    return products;
  }

  public void setProducts(Model206 products) {
    this.products = products;
  }

  public TravelQuotesResponse addons(Model207 addons) {
    this.addons = addons;
    return this;
  }

   /**
   * Get addons
   * @return addons
  **/
  @ApiModelProperty(value = "")
  public Model207 getAddons() {
    return addons;
  }

  public void setAddons(Model207 addons) {
    this.addons = addons;
  }

  public TravelQuotesResponse paymentModes(Model210 paymentModes) {
    this.paymentModes = paymentModes;
    return this;
  }

   /**
   * Get paymentModes
   * @return paymentModes
  **/
  @ApiModelProperty(value = "")
  public Model210 getPaymentModes() {
    return paymentModes;
  }

  public void setPaymentModes(Model210 paymentModes) {
    this.paymentModes = paymentModes;
  }


  @Override
  public boolean equals(java.lang.Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    TravelQuotesResponse travelQuotesResponse = (TravelQuotesResponse) o;
    return Objects.equals(this.context, travelQuotesResponse.context) &&
        Objects.equals(this.quoteExpireAt, travelQuotesResponse.quoteExpireAt) &&
        Objects.equals(this.products, travelQuotesResponse.products) &&
        Objects.equals(this.addons, travelQuotesResponse.addons) &&
        Objects.equals(this.paymentModes, travelQuotesResponse.paymentModes);
  }

  @Override
  public int hashCode() {
    return Objects.hash(context, quoteExpireAt, products, addons, paymentModes);
  }


  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class TravelQuotesResponse {\n");
    
    sb.append("    context: ").append(toIndentedString(context)).append("\n");
    sb.append("    quoteExpireAt: ").append(toIndentedString(quoteExpireAt)).append("\n");
    sb.append("    products: ").append(toIndentedString(products)).append("\n");
    sb.append("    addons: ").append(toIndentedString(addons)).append("\n");
    sb.append("    paymentModes: ").append(toIndentedString(paymentModes)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(java.lang.Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }

}

